commit:     8ed5251a2be903c147b222d7679cbf16a6fcdaef
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Aug 14 16:46:01 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Aug 14 16:46:01 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ed5251a

xfce-base/libxfce4ui: Bump to 4.20.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 xfce-base/libxfce4ui/Manifest                 |  1 +
 xfce-base/libxfce4ui/libxfce4ui-4.20.2.ebuild | 86 +++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/xfce-base/libxfce4ui/Manifest b/xfce-base/libxfce4ui/Manifest
index 04aa37245197..835e189702c4 100644
--- a/xfce-base/libxfce4ui/Manifest
+++ b/xfce-base/libxfce4ui/Manifest
@@ -1,3 +1,4 @@
 DIST libxfce4ui-4.20.1.tar.bz2 1214543 BLAKE2B 
84c843f6efdb4a429e3133241eb76707fb2a014848445b071725c4522d92808b8a12dd435c568e6c322097565050c1b009b4501b1d430a8e43cfaf9f8ea27f59
 SHA512 
f530e14302a4e11cc04111d5488ad4b8727bc016bfdef5fd29e1098209fd5e886dde3102bd0feab7c49daff964a4fa208b67dd83be806171f832f09e27ba40a7
+DIST libxfce4ui-4.20.2.tar.bz2 1223663 BLAKE2B 
0105ec24cb2b77a38d319d11d242af15f2b67b14836402607f1fa691cd35c75d863be0dcd70c991bcda8098a0e9694df9bf5f7327189c39fe6fd4f564c272648
 SHA512 
cc82e862de0b5ce7dc5b43b84a6231de131ad76a810c3e66e771ae364fdb4b1a91be2111ab8d601d97fffd692253e8bebf496867cef743f9344a4977fb8ff8d2
 DIST libxfce4ui-4.21.1.tar.xz 511056 BLAKE2B 
47feb61ad6ea4f612ca8ccb3027e36df35e896955e2be049577dcb18386da957a23d791d0e94d1e16cc275c09558131be1c9244e9e26765eb5679a20b91d7286
 SHA512 
e74be58ccbbbda588f27eb188881ff5e5d4c690ce482962aa9656f765dfec83734ba4f18b5f34f3ae3337fb84d99a053796163b563cf42d745a9a2c1a8604e0e
 DIST libxfce4ui-4.21.2.tar.xz 515320 BLAKE2B 
380a9c568f0884506d77f0fa4c3a9e0c03e43191d8e2bd5b8e7d12bab74fc88e364d2e2f5a9413844ae8f0be627371a0c9fb23e4b861a3dd6c25e9e0eabaa7a7
 SHA512 
624974fdfc57d6941b0e15f0a4c6ce153fdc3260bd60c05bc436dd9d9428930f9eccb1ce6d1748af89b73769c7c91ae8f8a5c77713c5db17d03a2da66afc4db8

diff --git a/xfce-base/libxfce4ui/libxfce4ui-4.20.2.ebuild 
b/xfce-base/libxfce4ui/libxfce4ui-4.20.2.ebuild
new file mode 100644
index 000000000000..d35478dd6546
--- /dev/null
+++ b/xfce-base/libxfce4ui/libxfce4ui-4.20.2.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils vala
+
+DESCRIPTION="Unified widget and session management libs for Xfce"
+HOMEPAGE="
+       https://docs.xfce.org/xfce/libxfce4ui/start
+       https://gitlab.xfce.org/xfce/libxfce4ui/
+"
+SRC_URI="https://archive.xfce.org/src/xfce/${PN}/${PV%.*}/${P}.tar.bz2";
+
+LICENSE="LGPL-2+ GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+IUSE="glade +introspection startup-notification system-info vala wayland X"
+REQUIRED_USE="
+       || ( wayland X )
+       vala? ( introspection )
+"
+
+DEPEND="
+       >=dev-libs/glib-2.72.0
+       >=x11-libs/gtk+-3.24.0:3[introspection?,wayland?,X?]
+       >=xfce-base/libxfce4util-4.17.2:=[introspection?,vala?]
+       >=xfce-base/xfconf-4.12.0:=
+       glade? ( >=dev-util/glade-3.5.0:3.10 )
+       introspection? ( >=dev-libs/gobject-introspection-1.66:= )
+       system-info? (
+               >=dev-libs/libgudev-232
+               >=gnome-base/libgtop-2.24.0
+               >=media-libs/libepoxy-1.2
+       )
+       X? (
+               >=x11-libs/libICE-1.0.10
+               >=x11-libs/libSM-1.2.3
+               >=x11-libs/libX11-1.6.7
+               startup-notification? ( >=x11-libs/startup-notification-0.4 )
+       )
+"
+RDEPEND="
+       ${DEPEND}
+"
+DEPEND+="
+       x11-base/xorg-proto
+"
+BDEPEND="
+       dev-lang/perl
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       vala? ( $(vala_depend) )
+"
+
+src_configure() {
+       local myconf=(
+               $(use_enable glade gladeui2)
+               $(use_enable introspection)
+               $(use_enable system-info glibtop)
+               $(use_enable system-info epoxy)
+               $(use_enable system-info gudev)
+               $(use_enable startup-notification)
+               $(use_enable vala)
+               $(use_enable wayland)
+               $(use_enable X libsm)
+               $(use_enable X x11)
+               --with-vendor-info=Gentoo
+       )
+
+       use vala && vala_setup
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       emake -j1 DESTDIR="${D}" install
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       xdg_icon_cache_update
+}
+
+pkg_postrm() {
+       xdg_icon_cache_update
+}

Reply via email to